### Method

# Ide Device get_info_finish

#### Declaration

    IdeDeviceInfo*
    ide_device_get_info_finish (
      IdeDevice* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to load the information about a device.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeDeviceInfo`
| An `IdeDeviceInfo` or `NULL` and `error` is set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.